Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class RendererFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RendererFactory

    class RendererFactory
    extends AbstractFactory

Authors:
  Danno Ferrin

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

### setChild

    void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.